# org.springframework.jms.listener

## Interfaces

- MessageListenerContainer
- SessionAwareMessageListener
- SubscriptionNameProvider

## Classes

- AbstractJmsListeningContainer
- AbstractMessageListenerContainer
- AbstractPollingMessageListenerContainer
- DefaultMessageListenerContainer
- SimpleMessageListenerContainer

## Exceptions

- AbstractJmsListeningContainer.SharedConnectionNotInitializedException